#!/usr/local/bin/perl
#==============================================================================
# LinkScan
#==============================================================================
# (c) Copyright 1997-2001 Electronic Software Publishing Corporation (Elsop)
# All Rights Reserved.
# LinkScan(TM) and Elsop(TM) are
# Trademarks of Electronic Software Publishing Corporation
# WWW: http://www.elsop.com/  Email: linkscan@elsop.com
#
# See the file docs/license.txt for terms and conditions of use
#==============================================================================
$RVXq='9.0';
print "\n";
print "Welcome to the LinkScan $RVXq Configurator. This utility will help you\n";
print "configure LinkScan on your computer. It will complete the installation on\n";
print "many servers, but manual adjustment may be required on others. LinkScan\n";
print "prefers to be installed in its own directory (e.g. linkscan) under your web\n";
print "server root, but this is not mandatory.\n\n";
print "Your Server and Login names are:\n\n";

$DvH=0;
$ijev=getpwuid($<);
$ocG=`uname -n`;
$ocG=~tr/\0\r\n//d;
print "Server Name: $ocG\n";
print "Login  Name: $ijev\n\n";
$GuvF='';
until($GuvF=~m/^[yn]/i){
  print "Do you have a LinkScan License Key for this Server and Login? [y/n]: ";
  $GuvF=<STDIN>;
  $GuvF=~s/[\n\r]//g;
  if($GuvF=~m/^n/i){
    print "\nIf you do not already have a LinkScan License Key, free evaluation\n";
    print "licenses are available from:\n\n";
    print "http://www.elsop.com/linkscan/dleval.cgi\n\n";
    print "If you need a modified License Key, please e-mail <key\@elsop.com>\n";
    print "Be sure to include the following information in your message:\n\n";
    print "* Your Name (or Company Name)\n";
    print "* Your Existing 10-Digit License Number\n";
    print "* Your Server Name: $ocG\n";
    print "* Your Login Name:  $ijev\n\n";
    exit;
  }
}

$Ijv='linkscan.sys';
$FJuS='default/linkscan.cfg';
$xEuA=0;
open(TST,">>$Ijv") || $xEuA++;
close(TST);
open(TST,">>$FJuS") || $xEuA++;
if($xEuA){
  print "\n** Error: There appears to be a permissions problem\n";
  print "          Can't initialize linkscan.sys and default/linkscan.cfg\n\n";
  exit;
}

print "\n\nGood. Let's start by entering your License Key details.\n";
print "Enter the following License Key details *exactly* as they appear on\n";
print "the e-mail notification you received. If the backspace key echoes strange\n";
print "characters when entering this data, try using <control-H> instead.\n\n";
$yra='';
until($yra=~m/^\d{10,10}$/){
  print "Enter License Number [10 digits]: ";
  $yra=<STDIN>;
  $yra=~s/[\n\r\s]//g;
}
$xTA='';
until($xTA){
  print "Enter Licensee: ";
  $xTA=<STDIN>;
  $xTA=~s/[\n\r]//g;
}
$RknG='';
until($RknG=~m/\d+:\d+:\d+:\d+:\d+/){
  print "Enter License Key: ";
  $RknG=<STDIN>;
  $RknG=~s/[\n\r\s]//g;
}
print "\n\nEnter the name of your organization or web site as you wish it to\n";
print "appear on the LinkScan reports.\n";
$RFao='';
until($RFao){
  print "Enter Organization Name: ";
  $RFao=<STDIN>;
  $RFao=~s/[\n\r]//g;
}

$FmkB=`pwd`;
$FmkB=~s/[\r\n\s]//g;
until($FmkB){
  print "\n\nThe LinkScan Configurator could not figure out the full pathname\n";
  print "to the current directory. Please enter it manually.\n";
  print "Enter Full Pathname to Current Directory: ";
  $FmkB=<STDIN>;
  $FmkB=~s/[\n\r\s]//g;
  stat($FmkB);
  if(! -d _){print "Invalid entry: $FmkB\n";$FmkB='';}
}
unless($FmkB=~m#/$#){$FmkB .='/';}
$pYrm=$FmkB.'weblint/weblint';

print "\n\nNow LinkScan needs to know where to find some other programs.\n";
$jcWZ='/usr/local/bin/perl';
print "Enter the *absolute pathname* to the Perl 5 executable.\n";
print "Enter 'return' for the default: $jcWZ\n";
$fzJ='';
until($fzJ){
  print "Enter Perl 5 Pathname: ";
  $fzJ=<STDIN>;
  $fzJ=~s/[\n\r\s]//g;
  $fzJ=~s#\\#/#g;
  unless($fzJ){$fzJ=$jcWZ;}
  stat($fzJ);
  if(! -e _ || -d _){print "Invalid entry: $fzJ\n";$fzJ='';}
}

$GuvF='';
until($GuvF=~m/^[yn]/i){
  print "\nIs LinkScan installed in a web-visible directory under www root? [y/n]: ";
  $GuvF=<STDIN>;
  $GuvF=~s/[\n\r]//g;
}
if($GuvF=~m/^n/i){
  print "\nWhen prompted for a URL to the LinkScan directory, please supply the URL\n";
  print "to some other web-visible directory. You can create one later, if you prefer.\n";
  print "Then, copy the LinkScan docs/ directory (and the files therein) into that\n";
  print "directory so the LinkScan documentation can be viewed via a browser.\n";
}else{
  print "\nNow LinkScan needs a URL to *this* directory so that the documentation\n";
  print "and reports are available via a web browser.\n";
}
print "Enter the full URL. For example: http://www.example.com/linkscan/\n";
$AoFK='';
until($AoFK=~m#^https?://#){
  print "Enter LinkScan URL: ";
  $AoFK=<STDIN>;
  $AoFK=~s/[\n\r\s]//g;
}
unless($AoFK=~m#/$#) {$AoFK .='/';}
$iwGy=$AoFK;
$zMY=$FmkB.'docs/';
$bxH=$AoFK.'docs/';
$peox=$FmkB.'reports/';
$XGm=$AoFK.'reports/';

print "\n\nDoes your server require that CGI scripts be installed in a special\n";
print "directory (e.g. cgi-bin)?\n";
$oyt='';
$yWz=0;
$wTXa='';
until($oyt=~m/^[yn]/i){
  print "[y/n]: ";
  $oyt=<STDIN>;
  $oyt=~s/[\n\r\s]//g;
  if($oyt=~m/^y/i){$yWz=1;}
}
if($yWz){
  print "\n\nEnter the *absolute pathname* of your special cgi-bin directory.\n";
  print "For example: /usr/www/cgi-bin/\n";
  until($wTXa){
    print "Enter cgi-bin Pathname: ";
    $wTXa=<STDIN>;
    $wTXa=~s/[\n\r\s]//g;
    $wTXa=~s#\\#/#g;
    stat($wTXa);
    if(! -d _){print "Invalid entry: $wTXa\n";$wTXa='';}
  }
  unless($wTXa=~m#/$#){$wTXa .='/';}
  print "\n\nEnter the full URL to your special cgi-bin directory.\n";
  print "For example: http://www.example.com/cgi-bin/\n";
  $iwGy='';
  until($iwGy){
    print "Enter cgi-bin URL: ";
    $iwGy=<STDIN>;
    $iwGy=~s/[\n\r\s]//g;
    $iwGy=~s#\\#/#g;
    unless($iwGy=~m#^https*://#i){$iwGy='';}
  }
  unless($iwGy=~m#/$#){$iwGy .='/';}
}

print "\n\nDo you access the Internet via a Proxy Server?\n";
$oyt='';
$jup='';
until($oyt=~m/^[yn]/i){
  print "[y/n]: ";
  $oyt=<STDIN>;
  $oyt=~s/[\r\n\s]//g;
  if($oyt=~m/^y/i){$jup=1;}
}
if($jup){
  $jup='';
  until($jup=~m/[a-zA-Z0-9\.\-]+/o){
    print "\n\nEnter the Proxy Server host name: ";
    $jup=<STDIN>;
    $jup=~s/[\r\n\s]//g;
  }
  $Iyz='';
  until($Iyz=~m/\d+/i){
    print "\n\nEnter the Proxy Port Number for HTTP: ";
    $Iyz=<STDIN>;
    $Iyz=~s/[\r\n\s]//g;
  }
  print "\n\nIf you need to access certain hosts and/or domains without the\n";
  print "Proxy Server, and/or your Proxy Server requires Proxy-Authentication,\n";
  print "you will need to configure the \"Proxyauth\" and \"Noproxy\" options\n";
  print "manually. Please see Section 6 of the LinkScan Reference Manual\n";
  print "Press 'return' to continue: ";
  $oyt=<STDIN>;
}

print "\n\nNow LinkScan needs some information about the Website you want to scan.\n";
print "If LinkScan can access static HTML documents on this server via the local\n";
print "File System (or NFS) please enter the absolute file system pathname to the\n";
print "document root directory. Otherwise press return.\n";
print "For example: /usr/www/htdocs/\n";
print "Enter Home Directory: ";
$bYFO='';
until($bYFO){
  $bYFO=<STDIN>;
  $bYFO=~s/[\n\r\s]//g;
  unless($bYFO){last;}
  unless($bYFO=~m#/$#){$bYFO .='/';}
  stat($bYFO);
  if(! -d _){print "Invalid entry: $bYFO\n";$bYFO='';}
}

print "\n\nPlease enter the URL of the website you wish to scan.\n";
print "For example: http://www.example.com/\n";
$qVB='';
until($qVB=~m#^https?://#){
  print "Enter Home URL: ";
  $qVB=<STDIN>;
  $qVB=~s/[\n\r\s]//g;
}
$qVB=~m#^(https?://[^/]+/?)(.*)$#i;
$qVB=$1;
$pmnK=$2;
unless($qVB=~m#/$#){$qVB .='/';}

$bGxN=1;
$oYGx="me\100example.com";

open(SYS,">$Ijv") or die "** Fatal Error: Could not write $Ijv\n";
print "\nWriting configuration file $Ijv ...\n";
print SYS <<END_CFG;

# LINKSCAN SYSTEM CONFIGURATION FILE - LINKSCAN.SYS
# !Version 9.0
#
# Lines beginning with "#" are comments
#
# Purpose:     The primary LinkScan system configuration file
# Location:    The LinkScan Directory only
# Required:    Always
# Applies to:  All configured Projects
# Inheritance: Not applicable
#
#==============================================================================
# ESSENTIAL PARAMETERS
#==============================================================================
#
# LicenseNumber  = 10-digit LinkScan License Number
# Licensee       = Company Name
# Key            = LinkScan License Key
# Linkscandir    = Absolute File System Pathname to the LinkScan directory
# Linkscanurl    = Absolute URL to the LinkScan directory

LicenseNumber = $yra
Licensee = $xTA
Key = $RknG
Linkscandir = $FmkB
Linkscanurl = $AoFK

# Perlpath       = Absolute File System Pathname the Perl 5 executable
# Weblintpath    = Absolute File System Pathname to the weblint executable
# Weblintoptions = Weblint command line options

Perlpath = $fzJ
Weblintpath = $pYrm
Weblintoptions = -d extension-markup,extension-attribute

# Server         = Set to 1 to use the LinkScan WebServer (versus Apache etc)
# Wwwpath        = Absolute File System Pathname to the www root folder
# Wwwurl         = Absolute URL to the www root folder
# Msiis          = Set to 1 when using Microsoft IIS
# Cgibinpath     = Absolute File System Pathname to the LinkScan CGI's
# Cgibinurl      = Absolute URL to the LinkScan CGI's
# Docspath       = Absolute File System Pathname to the LinkScan Docs
# Docsurl        = Absolute URL to the LinkScan Documentation
# Reportsdir     = Absolute File System Pathname to the LinkScan Reports
# Reportsurl     = Absolute URL to the LinkScan Reports
# Wrapperurl     = Must be blank unless your server requires a cgi wrapper
# Defaultpages   = LinkScan WebServer looks for these files in this order

Server = 0
Wwwpath =
Wwwurl =
Msiis = 0
Cgibinpath = $wTXa
Cgibinurl = $iwGy
Docspath = $zMY
Docsurl = $bxH
Reportsdir = $peox
Reportsurl = $XGm
Wrapperurl =
Defaultpages = index.html, index.shtml, index.htm, home.html, home.shtml, home.htm

# Email related settings
# Sendmailpath     = Absolute File System Pathname to the sendmail executable
#                    Include the sendmail -t switch
# Smtphost         = SMTP hostname -- not used on UNIX systems
# Hostname         = Fully qualified hostname for this server (SMTP: HELO)
# Mailfrom         = From address (SMTP: MAIL FROM)
# Nameservers      = Domain Name Servers to use (comma separated list)

Sendmailpath = /usr/lib/sendmail -t
Smtphost =
Hostname = $ocG
Mailfrom =
Nameservers =

# Proxyserver      = The name of your HTTP Proxy Server (blank if none)
# Proxyport        = The port number of your HTTP Proxy Server
# Httpsproxyserver = The name of your HTTPS Proxy Server (blank if none)
# Httpsproxyport   = The port number of your HTTPS Proxy Server
# Noproxy          = Do not use Proxy for these servers (comma delimited list)
# Proxyauth        = "username:password" for Proxy Server authentication
# FTPUser          = Username to be used for anonymous FTP
# FTPPass          = Password to be used for anonymous FTP
# Linespeed        = Default line speed for slowest pages report
#                    1 = 28.8, 2 = 56K, 3 = ISDN, 4 = DSL, 5 = T-1

Proxyserver = $jup
Proxyport = $Iyz
Httpsproxyserver =
Httpsproxyport = 80
Noproxy =
Proxyauth =
FTPUser = anonymous
FTPPass = $oYGx
Linespeed = 1

#==============================================================================
# OPTIONAL PARAMETERS
#==============================================================================
#
# LINK CHECKING PARAMETERS
#
# Masterhist     = Maintain site history data globally for all Projects
# Maxhist        = Max number of history entries to be stored
# Maxgoodhours   = Max number of hours between attempts to retest good ext links
# Maxbadhours    = Max number of hours between attempts to retest bad ext links
# Timeout1       = Timeout (in seconds) for first attempt to contact site
# Timeout2       = Timeout (in seconds) for second attempt to contact site
# Masterport     = Start of TCP/IP port number sequence used internally
# Slaves1        = Number of slaves for internal links
# Slaves2        = Number of slaves for external links
# Slavesfast1    = Number of slaves for internal links (with -fast option)
# Slavesfast2    = Number of slaves for external links (with -fast option)

Masterhist = 1
Maxhist = 10
Maxgoodhours = 4
Maxbadhours = 0
Timeout1 = 20
Timeout2 = 40
Masterport = 8010
Slaves1 = 3
Slaves2 = 3
Slavesfast1 = 5
Slavesfast2 = 12

# SERVER AND CGI ACCESS CONTROLS
#
# Linkscancookie = Type of cookie set by linkscan.cgi
#                  0=permanent; 1=session; 2=none
# Notapmapoptions= Disable the Options Menu on LinkScan/TapMap
# Noprojectlist  = Prompt for Project versus displaying drop-down list
# Nostaticmenu   = Disable the Menu Tools of command-line generated reports
# Httpauth       = Environment variable to check for HTTP user authentication
# Mailto         = Enable mailto option on LinkScan Reports

Linkscancookie = 0
Notapmapoptions = 0
Noprojectlist = 0
Nostaticmenu = 0
Httpauth = REMOTE_USER
Mailto = 1

# SERVER ACCESS CONTROLS (LinkScan WebServer only)
#
# Serverdeny     = IPaddress - deny access from IP address
# Serverallow    = IPaddress - allow access from IP address
# Serverauth     = username:password - use HTTP Basic Authentication
# Serverindex    = Allow server generated directory listings
#
# Serverdeny is processed before Serverallow. For example:
#   Serverdeny = .*
#   Serverallow = 10.10.10.10
#   Serverauth = myname:mypass
#   Serverindex = 0

Serverallow = .*
Serverindex = 1

# CGI ACCESS CONTROLS (Apply to any server)
#
# Access = username : password : project-list : owner-list : menu-options
#
# Use "*" for "any".
# project-list and owner-list are comma-delimited lists.
#
# Valid menu-options: xeskdbuvmycaohrpiqt
#
# x = Project Summary Report
# e = Problem Documents Report
# s = Document Detail Report
# k = Critical Errors Report
# d = Detailed Errors Report
# b = Changed Documents Report
# u = Search Documents Report
# v = Search Links Report
# m = SiteMap Report
# y = Summary of All Projects
# c = Selected Status Codes Report
# a = All Pages Linking To ... Report
# o = Orphaned Files Report
# h = External History Report
# r = Redirections Report
# p = System Configuration Report
# i = Document Weight Report
# q = LinkScan/QuickCheck
# t = LinkScan/TapMap
#
# The following default entry creates UNRESTRICTED ACCESS
#
# Access = * : * : * : * : *
#
# !1

Access = * : * : * : * : *

#==============================================================================
# PLEASE DO NOT CHANGE ITEMS BELOW THIS LINE
#==============================================================================

Helpcode8 = links07.html
Helpfile = linkscan.html
Mainmenu = linkscan.cgi
Mapcgi = linkmap.cgi
Statuscodefile = codes.txt
Templatefile = template.txt
Quickcgi = quick.cgi

Cfgfile = linkscan.cfg
Masfile = linkscan.mas
Mimfile = mime.types
Repfile = linkscan.rep

Footerfile = linkfoot.txt
Headerfile = linkhead.txt
Datadir = data/
Hashbuckets = 512
Hashdir = hashdata/
Hashfile = hash
Htmlfile = html
Textfile = txt
Audfile = linkscan.aud
Docfile = linkscan.doc
Extfile = linkscan.ext
Filfile = linkscan.fil
Hstfile = linkscan.hst
Idxfile = linkscan.idx
Intfile = linkscan.int
Lnkfile = linkscan.lnk
Logfile = linkscan.log
Madfile = linkscan.mad
Mapfile = linkscan.map
Metfile = linkscan.met
Namfile = linkscan.nam
Orpfile = linkscan.orp
Ownfile = linkscan.own
Redfile = linkscan.red
Stafile = linkscan.sta
Sumfile = linkscan.sum
Tstfile = linkscan.tst

QSource = 1
QLinkscan = 1
QWeblint = 0
QFormat = 1
QAdv = 0
QSev0 = 0
QSev1 = 1
QSev2 = 1
QSev3 = 1
QSev4 = 0
QSev5 = 0

#==============================================================================
# LinkScan
#==============================================================================
# (c) Copyright 1997-2001 Electronic Software Publishing Corporation (Elsop)
# All Rights Reserved.
# LinkScan(TM) and Elsop(TM) are Trademarks of
# Electronic Software Publishing Corporation.
# Email: linkscan\@elsop.com
# WWW: http://www.elsop.com/
#==============================================================================
# The end
#==============================================================================

END_CFG
close(SYS);

$zXI="user\@Mailhost";
open(SYS,">$FJuS") or die "** Fatal Error: Could not write $FJuS\n";
print "Writing configuration file $FJuS ...\n";
print SYS <<END_CFG;

# LINKSCAN SITE CONFIGURATION FILE - LINKSCAN.CFG
# !Version 9.0
#
#==============================================================================
# THIS FILE BELONGS IN THE PROJECT DIRECTORY. EACH PROJECT INHERITS
# THE GLOBAL SETTINGS SPECIFIED IN THE LINKSCAN DIRECTORY. ANY OF
# THOSE SETTINGS MAY BE OVERRIDEN IN THIS PROJECT-SPECIFIC FILE.
#==============================================================================
#
# Lines beginning with "#" are comments
#
# Purpose:     The LinkScan Project configuration file
# Location:    The LinkScan directory and/or the Project Directory
# Required:    Yes
# Applies to:  The selected Project
# Inheritance: The LinkScan Directory is checked first. Those settings are
#              overriden or added to by the linkscan.cfg file in the selected
#              Project Directory
#
#==============================================================================
# ESSENTIAL PARAMETERS - MUST BE CONFIGURED
#==============================================================================
#
# Homedir       = Absolute pathname to the server root
# Homeurl       = Absolute URL to the server root
#                 Homedir and Homeurl *must* point at the *same* directory
# Mirrorurl     = Alternate URL to use for HTTP fetch requests
# Homefile      = Relative pathname to the starting page
# Mask          = Onlyinclude pathnames matching mask
# Projectdesc   = Project Description
# Organization  = Name of your organization for the reports
#
# Note: Specify subdirectories using Homefile rather than Homedir/Homeurl
# For example:
# Homedir = /usr/www/htdocs/
# Homeurl = http://localhost/
# Homefile = subdir/index.html

Homedir = $bYFO
Homeurl = $qVB
Mirrorurl =
Homefile = $pmnK
Mask =
Projectdesc = $RFao
Organization = $RFao

# Http          = Use remote HTTP access to a non-local website
# Autohttp      = Automatically try HTTP access if File System access fails
# Casesensitive = Pathnames on the local server are case sensitive
# Maxcgi        = Max number of times any one script is probed with different
#                 query parameters
# Followext     = Follow redirections when scanning external links
# Htmlfiles     = Files with these extensions are assumed to contain html
# Mapfiles      = Files with these extensions are assumed to contain imagemaps
# Pdffiles      = Files with these extensions are assumed to contain PDF docs
# Flashfiles    = Files with these extensions are assumed to contain Flash docs
# Defaultpages  = LinkScan looks for these files in the order specified
# Indexoptions  = LinkScan will generate an index if no default page present
# Import        = Select Import mode; 1=links; 2=documents; 3=nocache
# Importfile    = Absolute pathname to import file
# Noorphan      = Disable Orphan checking
# Orphanfile    = Pathname to imported file system listing from lsfind

Http = 0
Autohttp = 0
Casesensitive = 1
Maxcgi = 100
Followext = 1
Htmlfiles = html, shtml, htm
Mapfiles = map
Pdffiles =
Flashfiles = swf
Defaultpages = index.html, index.shtml, index.htm, home.html, home.shtml, home.htm
Indexoptions = 0
Import = 0
Importfile =
Noorphan = 0
Orphanfile =

#============================================================================
# OPTIONAL LINKSCAN CUSTOMIZATION COMMANDS
#==============================================================================



#==============================================================================
# SUMMARY OF LINKSCAN CUSTOMIZATION COMMANDS [aide memoire]
#==============================================================================
# SINGLE-VALUED COMMANDS [last occurrence counts]
#
# Checkmailto = boolean
# Closeatag = boolean
# Collectmeta = boolean
# Defaultowner = owner-name
# Editdoc = absolute-url-expression
# Editlink = absolute-url-expression
# Errorbody = expression
# Errordoc = relative-url-expression
# Expandssi = boolean
# Fetchext = boolean
# Followext = boolean
# Followframes = boolean
# Imgtags = [AHW]
# Maxclicks = integer
# Maxlevels = integer
# Noexternal = boolean
# Noforms = boolean
# Nohash = boolean
# Nomap = boolean
# Noorphan = boolean
# Nosplit = boolean
# Ownertags = expression
# Profiler = integer
# Profilerlog = boolean
# Profilermax = integer
# Sessionmatch = expression
#
# USER-AGENT EXAMPLES
# Extraheader User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)
# Extraheader User-Agent: Mozilla/4.08 [en] (WinNT; I ;Nav)
#
# MULTI-VALUED COMMANDS [all occurrences count]
#
# Alias relative-path-expression absolute-path-expression
# Auth server-name "realm-name" username password
# Checkorphans relative-path-expression
# Cookie server-name cookie-name=cookie-value
# Exclude relative-path-expression
# Exclude absolute-url-expression
# Excludecookie expression
# Execute relative-path-expression
# Extraheader http-header-line
# Extrahome relative-path-expression
# Hostalias server-url
# Insertlink document-match new-document [-|+|*]
# Mailalias expression list-of-addresses
# Mimetypes mime-type [D|H|J|S]
# Nofollow relative-path-expression
# Noorphans relative-path-expression
# Onlyfollow relative-path-expression
# Onlyinclude relative-path-expression
# Onlyorphans relative-path-expression
# Owner relative-path-expression owner-name
# Owner *1
# Owneralias expression owner-name
# Redirect relative-path-expression absolute-url-expression
# Scriptexclude expression
# Scriptmatch expression
# Scriptnomatch expression
# Selecturl expression
# Sessionmatch expression
# Statuscode statuscode, severity
# Substitute relative-path-expression expression
# Substituteraw relative-path-expression expression
# Taglimit relative-path-expression maxnumber
# Tagonce relative-path-expression
# Userdata [123] match-expression expression
# Userdatafmt [123] [DHLTX] integer[LRC] caption
# Userdatasub [123] expression expression
#
# SITEMAP CUSTOMIZATION COMMANDS
#
# Mapdefaulttitle, [ string ] [ !PATH | !FILE ] [ string ]
# Mapext, boolean
# Mapinclude, relative-path-expression
# Maphide, relative-path-expression
# Mapmove, relative-document-path, new-parent-relative-path, position, new-title
# Maptitle, relative-document-path, new-title
#
#==============================================================================
# LinkScan
#==============================================================================
# (c) Copyright 1997-2001 Electronic Software Publishing Corporation (Elsop)
# All Rights Reserved.
# LinkScan(TM) and Elsop(TM) are Trademarks of
# Electronic Software Publishing Corporation.
# Email: linkscan\@elsop.com
# WWW: http://www.elsop.com/
#==============================================================================
# The end
#==============================================================================

END_CFG
close(SYS);

print "Updating shebang headers ...\n";
@nxPm=("linkscan.pl","linkscan2.pl","dispatch.pl","linkscan.cgi","linkmap.cgi","quick.cgi","linkdiag.pl","linkserv.pl","slave.pl","utils/makeign.pl","utils/sendmail.pl","utils/tools.cgi");
foreach $DqS(@nxPm){
  $LIe='';
  open(IN,"<$DqS") || print "** Error: Opening $DqS $!\n";
  open(OUT,">$DqS.tmp") || print "** Error: Opening $DqS.tmp $!\n";
  while(<IN>){
    $gsk=$_;
    if(! $LIe && $gsk =~ m/^#!/){
      $gsk="#!$fzJ\n";
      $LIe=1;
    }
    print OUT $gsk;
  }
  close(IN);
  close(OUT);
  unlink($DqS) || print "** Error: Deleting $DqS $!\n";
  rename("$DqS.tmp", $DqS) || print "** Error: Renaming $DqS.tmp $!\n";
  chmod(0755,$DqS);
}

if($yWz){
  print "Updating cgi scripts and copying them to $wTXa ...\n";
  @nxPm=('linkscan.cgi','linkmap.cgi','quick.cgi');
  foreach $DqS(@nxPm){
    $LIe='';
    open(IN,"<$DqS") || print "** Error: Opening $DqS $!\n";
    open(OUT,">$wTXa$DqS") || print "** Error: Opening $wTXa$DqS $!\n";
    while(<IN>){
      $gsk=$_;
      print OUT $gsk;
    }
    close(IN);
    close(OUT);
    chmod(0755,$wTXa.$DqS);
  }
  open(OUT,">$wTXa\.linkscan") || print "** Error: Opening $wTXa\.linkscan $!\n";
  print OUT "$FmkB\n";
  close(OUT);
  chmod(0644,"$wTXa\.linkscan");
}

$QeVD='';
open(IN,"<index.html");
while(<IN>){
  $QeVD .=$_;
}
close(IN);
$QeVD=~s/<a\s+href\s*=\s*".*?(linkscan\.cgi|quick\.cgi)"/<a href="$iwGy$1"/gis;
open(OUT,">index.html");
print OUT $QeVD;
close(OUT);

print "Completed.\n\n";
print "You may examine the following files using your favorite editor:\n";
print "  $Ijv\n";
print "  $FJuS\n\n";
print "Execute linkscan.pl to run LinkScan.\n\n";
exit;
## MjAxOTg3Nw==

## End of file
